## fpc 2.6.4+dfsg

=== debian/changelog ===
fpc (2.6.4+dfsg-8) unstable; urgency=medium

  * Fix FTBFS, I missed two dependencies of fpgtk removed in the
    previous upload (Closes: #795323)
  * Bump dephelper compat to 9 (now matching in d/compat and d/control)
    and update d/clean to fix the clean target

 -- Paul Gevers <elbrus@debian.org>  Fri, 14 Aug 2015 13:16:44 +0200

fpc (2.6.4+dfsg-7) unstable; urgency=medium

  * Fix path mistake in run-upstream-testsuite
  * Add more locations with time stamps to the configure target
    - Add patch to create fpmkunitsrc.inc in the right folder
  * Minor clean-up of d/rules by moving to be deleted files to d/clean
  * Wrap-and-sort d/control(|.in)
  * Move libgtk2.0-dev back to Depends, but now of the gtk2 package
  * Stop building and shipping gtk1 and gnome1 packages as the
    corresponding libraries are removed more than 6 years ago from
    Debian
  * Add Hungarian translation for debconf from upstream SVN and make
    sure that translations are always up-to-date in clean target
  * Missed one timestamp locale in the previous upload

 -- Paul Gevers <elbrus@debian.org>  Mon, 10 Aug 2015 13:23:15 +0200

fpc (2.6.4+dfsg-6) unstable; urgency=medium

  * Fix typo in debian/tests/control which caused the autopkgtest to fail
  * Improve the timestamp in d/rules to not depend on the timezone which
    caused the build to fail reproducibility tests.
  * Migrate maintainership to the Pascal Packaging Team
  * Update TODO list
  * Move -dev packages from Depends to Recommends in our unit packages
  * Add Suggests to fp-units-db-<ver>

 -- Paul Gevers <elbrus@debian.org>  Sun, 31 May 2015 13:25:57 +0200

fpc (2.6.4+dfsg-5) unstable; urgency=medium

  [ José de Figueiredo ]
  * Udated the Brazilian Portuguese translation of PO debconf.
    (Closes: Bug#778442)

  [ Paul Gevers ]
  * Add fpc-source to depends of fp-utils, fpcmake needs it.
  * True to build reproducible
    - Add patch to not have the timestamp in makefiles created by fpcmake
    - Add patch to not include timestamp in fpdoc generated documentation
    - Replace build time by Debian changelog time in binaries
    - Replace build time by Debian changelog time in man page for fpc-depends
  * Refresh patches with fuzz
  * Add TODO list
  * Add autopkgtest for the upstream testsuite

 -- Paul Gevers <elbrus@debian.org>  Mon, 25 May 2015 20:16:52 +0200

fpc (2.6.4+dfsg-4) unstable; urgency=low

  * Let "Select manually" be translatable in debconf questions and update
    language files accordingly.
  * Bump standards version to 3.9.6 (no changes)
  * New/updated translations
    - Danish (Joe Hansen) (Closes: #763984)
    - Dutch (Paul Gevers)
    - German (Chris Leick) (Closes: #763807)
    - Italian (Beatrice Torracca) (Closes: #764934)
    - Japanese (victory)
    - Swedish (Martin Bagge / brother) (Closes: #763446)

 -- Paul Gevers <elbrus@debian.org>  Mon, 13 Oct 2014 21:16:54 +0200

fpc (2.6.4+dfsg-3) unstable; urgency=low

  [ Abou Al Montacir ]
  * Added libgmp-dev to recommended packages list of fp-units-math in order to
    avoid users getting lik errors about missing libgmp. (Closes: Bug#749418)
  [ Michal Šimůnek ]
  * Updated Czech translation of PO debconf. (Closes: Bug#751387)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 12 Jun 2014 21:01:47 +0200

fpc (2.6.4+dfsg-2) unstable; urgency=medium

  * Revert manpage change in previous upload
  * Next time, in case of repack, also remove Windows dll files
  * Fix fpc-abi version provided by fp-units-rtl-## (Closes: #746794)

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 May 2014 18:25:46 +0200

fpc (2.6.4+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream point release with many fixes to the 2.6.2 fixes branch.
    - List of changes that may affect the behaviour of previously working
      code, and how to cope with these changes is available online on
      http://wiki.freepascal.org/User_Changes_2.6.4
    - List of reported bugs which have been fixed in this release is available
      online on http://bugs.freepascal.org/changelog_page.php?version_id=315
  * Packages changes:
    + Lots and lots fixes and improvements for fcl-db
    + web and json packages synchronized.
    + improvements to the chmcmd compiler.
    + Several fixes for winunits (and winceunits)
  * Docs changes:
    + Many additions.
    + fpjson documented.
  * Fixed bug making fp-utils not installable in multiple versions.
  * Moved removing alternatives from postrm script to prerm as is recommended.
  * Bumped standard version to 3.9.5.

  [ Paul Gevers ]
  * Update bug number in previous changelog entry
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Fixed versioning of ptop.cfg and fpc.cfg manpage
  * Add lintian override for two text documents it considers Flash files
  * Repack source to strip fpcsrc/rtl/netwlibc/pre/libcpre.gcc.o

 -- Paul Gevers <elbrus@debian.org>  Sat, 19 Apr 2014 18:05:27 +0200
