=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders:
 Abou Al Montacir <abou.almontacir@sfr.fr>,
 Carlos Laviola <claviola@debian.org>,
 Paul Gevers <elbrus@debian.org>,
 Peter Michael Green <plugwash@debian.org>,
 Torsten Werner <twerner@debian.org>,
Standards-Version: 3.9.6
Build-Depends:
 binutils,
 debhelper (>= 9),
 fp-compiler,
 fp-units-base,
 fp-units-fcl,
 fp-utils,
 ghostscript,
 libncurses-dev,
 mawk | awk,
 po-debconf
Build-Depends-Indep:
 hevea,
 rdfind,
 symlinks
Vcs-Git: git://anonscm.debian.org/pkg-pascal/fpc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/fpc.git
Homepage: http://www.freepascal.org/

Package: fpc-2.6.4
Architecture: all
Depends:
 fp-compiler-2.6.4 (>= ${binary:Version}),
 fp-ide-2.6.4 (>= ${binary:Version}),
 fp-units-base-2.6.4 (>= ${binary:Version}),
 fp-units-db-2.6.4 (>= ${binary:Version}),
 fp-units-fcl-2.6.4 (>= ${binary:Version}),
 fp-units-fv-2.6.4 (>= ${binary:Version}),
 fp-units-gfx-2.6.4 (>= ${binary:Version}),
 fp-units-gtk2-2.6.4 (>= ${binary:Version}),
 fp-units-math-2.6.4 (>= ${binary:Version}),
 fp-units-misc-2.6.4 (>= ${binary:Version}),
 fp-units-multimedia-2.6.4 (>= ${binary:Version}),
 fp-units-net-2.6.4 (>= ${binary:Version}),
 fp-units-rtl-2.6.4 (>= ${binary:Version}),
 ${misc:Depends}
Recommends:
 fp-utils-2.6.4
Suggests:
 fp-docs-2.6.4 (>= ${source:Upstream-Version}),
 lazarus
Provides:
 fpc
Breaks:
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - SDK-2.6.4 suite
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This metapackage pulls in all the FPC packages provided for this
 architecture. Experienced users may instead prefer to install the particular
 packages they require by hand.

Package: fpc-source-2.6.4
Architecture: all
Depends:
 ${misc:Depends}
Provides:
 fpc-source
Breaks:
 fpc-source (<= 2.4.0-3)
Replaces:
 fpc-source (<= 2.4.0-3)
Description: Free Pascal - SDK source code
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal's own source code. It is meant to be used by
 the Lazarus IDE.

Package: fp-compiler-2.6.4
Architecture: any
Depends:
 binutils,
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 fp-utils-2.6.4 (>= ${binary:Version})
Suggests:
 fp-docs-2.6.4 (>= ${source:Upstream-Version}),
 mingw32-binutils
Provides:
 fp-compiler
Breaks:
 fp-compiler (<= 2.4.0-3),
 fp-utils-2.4.2 (<= 2.4.2-3),
 fp-utils-2.4.4 (<= 2.4.4-2),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-compiler (<= 2.4.0-3),
 fp-utils-2.4.4 (<= 2.4.4-1),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - compiler
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the command line compiler.

Package: fp-ide-2.6.4
Architecture: any
Depends:
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-2.6.4 (>= ${binary:Version})
Suggests:
 fp-docs-2.6.4 (>= ${source:Upstream-Version})
Provides:
 fp-ide
Breaks:
 fp-ide (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-ide (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - IDE
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the Integrated Development Environment (IDE). The IDE
 has an internal compiler.

Package: fp-utils-2.6.4
Architecture: any
Depends:
 fpc-source-2.6.4,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-compiler-2.6.4 (= ${binary:Version})
Provides:
 fp-utils
Breaks:
 fp-compiler (<= 2.4.0-3),
 fp-units-gfx (<= 2.4.2-2),
 fp-units-gfx-2.4.2 (<= 2.4.2-2),
 fp-utils (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-compiler (<= 2.4.0-3),
 fp-utils (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - utilities
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains some handy utilities for use with the Free Pascal
 Compiler:
  * data2inc   convert binary/text data to include files;
  * fpcmake    create Makefile from Makefile.fpc;
  * h2pas      convert .h files to Pascal units;
  * plex/pyacc Pascal Lex and Yacc implementations;
  * ppdep      create a dependency file for use with Makefiles;
  * ppudump    dump the information stored in a .ppu (unit) file;
  * ppufiles   show needed files for units;
  * ppumove    place multiple units in a shared library;
  * ptop       beautify source.

Package: fp-docs-2.6.4
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Provides:
 fp-docs
Breaks:
 fp-docs (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-docs (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - documentation
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package provides documentation for the Free Pascal Compiler in HTML
 format.

Package: fp-units-rtl-2.6.4
Architecture: any
Depends:
 ${misc:Depends}
Recommends:
 fp-compiler-2.6.4 (= ${binary:Version})
Provides:
 fp-units-rtl,
 fpc-abi-2.6.4
Breaks:
 fp-units-rtl (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-units-rtl (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - runtime libraries
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the RunTime Libraries for the Free Pascal Compiler.

Package: fp-units-base-2.6.4
Architecture: any
Depends:
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 uuid-dev
Provides:
 fp-units-base
Breaks:
 fp-units-base (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-units-base (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - base units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal units for common libraries (some of which
 are also required by the Free Component Library): NCurses, X11 (Xlib,
 Xutil), and ZLib.

Package: fp-units-fcl-2.6.4
Architecture: any
Depends:
 fp-units-base-2.6.4 (= ${binary:Version}),
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 fp-units-fcl
Breaks:
 fp-units-fcl (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-units-fcl (<= 2.4.0-3)
Description: Free Pascal - Free Component Library
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Component Library for the Free Pascal Compiler.

Package: fp-units-fv-2.6.4
Architecture: any
Depends:
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 fp-units-fv
Breaks:
 fp-units-fv (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-units-fv (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - Free Vision units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Vision units for the Free Pascal Compiler
 (which provide a framework for developing text user interfaces).

Package: fp-units-gtk2-2.6.4
Architecture: any
Depends:
 fp-units-fcl-2.6.4 (= ${binary:Version}),
 fp-units-rtl-2.6.4 (= ${binary:Version}),
 libgtk2.0-dev,
 ${misc:Depends}
Provides:
 fp-units-gtk2
Breaks:
 fp-units-gtk2 (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Replaces:
 fp-units-gtk2 (<= 2.4.0-3),
 fpc (<= 2.6.4+dfsg-0),
Description: Free Pascal - GTK+ 2.x units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
